#! /usr/bin/env python
# -*- coding: UTF-8 -*-
###########################################################################
# Eole NG - 2010
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# set_quota <user> <quota>
#
# affecte le quota d'un utilisateur
#
###########################################################################
import sys
from subprocess import Popen, PIPE, call

# gestion des arguments
try:
    user = sys.argv[1]
    limit = sys.argv[2]
except:
    sys.exit("arguments manquants : <user> <limite(Mo)>")

# test de la partition (/home, /data ou /)
mount = Popen("mount", stdout=PIPE).stdout.read()
if 'on /data' in mount:
    mnt = '/data'
elif 'on /home' in mount:
    mnt = '/home'
else:
    mnt = '/'

#cmd = "/usr/bin/sudo /usr/sbin/quotatool -b -u %s -q %sM -l %dM %s"
ret = call(['/usr/bin/sudo', '/usr/sbin/quotatool',
            '-b', '-u %s' % user,
            '-q %sM' % limit,
            '-l %dM' % int(limit)*2,
            mnt], stdout=PIPE, stderr=PIPE)
if ret:
    sys.exit(0)
else:
    sys.exit(-1)
